<!DOCTYPE html>
<html>

<head>
    <title>WICKSG: Content as a Service</title>
    <style>
        body {
            width: 50em;
            margin: 0 auto;
            font-family: Tahoma, Verdana, Arial, sans-serif;
        }
    </style>
</head>

<body>
    <h1>Welcome to Content as a Service!</h1>
    <p>

        <h3>Content as a Service - OpenAPI Specification (REST)</h3>
        <ul>
            <li><a href="/OpenAPI/Connect/content-as-a-service.html">content-as-a-service</a></li>
            <li><a href="/OpenAPI/Connect/">Swagger</a></li>
        </ul>
        <h3>Sample HTML output</h3>
        <p>Full examples of how CaaS can deliver multi-tenanted, framework independent, personalised and redacted
            content</p>
        <ul>
            <li><a href="examples">Example sites</a></li>
            <!--
            <li><a href="html-templates">Browse</a></li>
            <li><a href="html-templates/connect-home-broker.html">Connect:Broker (v.3.4.2)</a></li>
            <li><a href="html-templates/connect-home-adviser.html">Connect:Adviser (v.3.4.2)</a></li>
            <li><a href="html-templates/connect-home-health.html">Connect:Health (v.3.4.2)</a></li>
            <li><a href="html-templates/aviva.co.uk-home.html">aviva.co.uk (v.3.4.2)</a></li>
            <li><a href="html-templates/aviva.com-home.html">aviva.com (v.4.5.2)</a></li>

            <li><a href="html-templates/connect-home.v.4.5.2.html">connect (v.4.5.2)</a><i>Workaround: Change the
                    framework in the global-head.json</i></li>
            -->
        </ul>

        <h3>Content model JSON API (mock of AEM service)</h3>
        <ul>
            <li><a href="/api/v1/models/connect/en_GB/global-head/global-head">global-head.json</a></li>
            <li><a href="/api/v1/models/connect/en_GB/masthead-navigation/adviser">masthead-navigation.json
                    (adviser)</a>
            </li>
            <li><a href="/api/v1/models/connect/en_GB/masthead-navigation/broker">masthead-navigation.json (broker)</a>
            </li>
            <li><a href="/api/v1/models/connect/en_GB/masthead-navigation/health">masthead-navigation.json (health)</a>
            </li>
            <li><a href="/api/v1/models/connect/en_GB/global-footer/global-footer">global-footer.json</a></li>
            <li><a href="/api/v1/models/connect/en_GB/product-card/product-card">product-card.json</a></li>
            <li><a href="/api/v1/models/connect/en_GB/news-card/news-card">news-card.json</a></li>
            <li><a href="/api/v1/models/connect/en_GB/banner-carousel/banner-carousel">banner-carousel.json</a></li>
        </ul>
        <ul>
            <li><a href="/api/v1/models/acf/en_GB/teaser-content/login-or-register">ACF teaser (Login or register)</a>
            </li>
            <li><a href="/api/v1/models/acf/en_GB/teaser-content/message-banner">ACF teaser (Message banner)</a></li>
            <li><a href="/api/v1/models/acf/en_GB/teaser-content/submit-project">ACF teaser (Submit Project)</a></li>
        </ul>

        <h3>JSON Schemas</h3>
        <ul>
            <li><a href="/caas/schemas/">Schemas</a></li>
        </ul>

        <!--
        <h3>AEM Example</h3>
        <ul>
            <li><a href="http://localhost:8006/content/jcr/campaignheadline">AEM jcr</a></li>
            <li><a href="http://localhost:8006/aem/template/campaign-headline.json">jcr to JSON template</a></li>
            <li><a href="http://localhost:8006/content/json/campaign-headline/campaignheadline">JSON</a></li>
        </ul> 
        -->

        <h3>JSON API</h3>
        <ul>
            <h4>Multi-tenancy</h4>
            <li><a href="/api/v1/models/connect/en_GB/global-footer/global-footer">global-footer (connect)</a></li>
            <li><a href="/api/v1/models/aviva-co-uk/en_GB/global-footer/global-footer">global-footer (aviva.co.uk)</a>
            </li>
            <li><a href="/api/v1/models/aviva-com/en_GB/global-footer/global-footer">global-footer (aviva.com)</a></li>
            <h4>Personalisation</h4>
            <li><a href="/api/v1/personalise/connect/en_GB/product-card/motor-trade">product-card (none)</a></li>
            <li><a
                    href="/api/v1/personalise/connect/en_GB/product-card/motor-trade?personalisation=%7B%22firstname%22%3A%22Guy%22%2C%22surname%22%3A%22Wicks%22%7D&scope=club110">product-card
                    (Guy)</a></li>
            <li><a
                    href="/api/v1/personalise/connect/en_GB/product-card/motor-trade?personalisation=%7B%22firstname%22%3A%22Dave%22%2C%22surname%22%3A%22Jones%22%7D&scope=broker">product-card
                    (Dave)</a></li>
            <h4>Scoping</h4>
            <p>WIP: Scoping disabled at present</p>
            <li><a href="/api/v1/personalise/connect/en_GB/product-card/product-card?scope=club110">product-card
                    (club110)</a></li>
            <li><a href="/api/v1/personalise/connect/en_GB/product-card/product-card?scope=adviser">product-card
                    (adviser)</a></li>
        </ul>

        <h3>AEM JCR to JSON</h3>
        <ul>
            <h4>Aviva (fr_FR) navigation</h4>
            <li><a href="https://myaviva.aem.avivaaws.com/content/aviva-business/fr_FR/jcr:content/navigation.-1.json">navigation
                    fr_FR JCR AEM</a></li>
            <li><a href="http://localhost:8006/content/jcr/aviva-business/-/fr_FR/-/-/navigation">navigation fr_FR JCR
                    Proxy</a></li>
            <li><a href="http://localhost:8006/content/json/aviva-business/-/fr_FR/-/-/navigation">navigation fr_FR
                    JSON</a></li>
            <li><a href="http://localhost:8006/content/json/aviva-business/-/fr_FR/-/-/masthead">masthead fr_FR
                    JSON</a></li>
        </ul>

        <ul>
            <h4>Aviva (en_GB) masthead and navigation</h4>
            <li><a href="https://myaviva.aem.avivaaws.com/content/aviva-public/en_GB/jcr:content/masthead.-1.json">AEM
                    masthead</a></li>
            <li><a href="http://localhost:8006/content/json/aviva-public/-/en_GB/-/-/masthead">masthead
                    JSON</a></li>
            <li><a href="https://myaviva.aem.avivaaws.com/content/aviva-public/en_GB/jcr:content/navigation.-1.json">AEM
                    aviva.co.uk Personal (JCR)</a></li>
            <li><a href="http://localhost:8006/content/json/aviva-public/-/en_GB/-/-/navigation">navigation
                    JSON</a></li>
        </ul>

        <h3>Framework templates</h3>
        <ul>
            <li><a href="caas/framework/">Framework template fragments</a></li>
        </ul>

        <h3>Framework HTML Fragments</h3>
        <ul>
            <li><a href="/api/v1/framework/v.4.5.2/content/connect/en_GB/masthead-selector/health?">Connect Health
                    Masthead-Selector</a></li>
            <li><a href="/api/v1/framework/v.4.5.2/content/connect/en_GB/masthead-navigation/health?">Connect Health
                    Masthead-Navigation</a></li>
            <li><a href="/api/v1/framework/v.4.5.2/content/connect/en_GB/global-footer/health?">Connect Health
                    Global-Footer</a></li>
        </ul>

        <h3>Document Manager Integration</h3>
        <ul>
            <li><a href="http://localhost:8005/api/v1/publicProductDocumentDetails/adviser?productCode=2332">Adviser
                    product search</a></li>
            <li><a href="http://localhost:8005/publicProductDocuments/adviser/AL99034?productCode=2332#">Single
                    document</a></li>
        </ul>
    </p>
</body>

</html>